Announcement

Collapse
No announcement yet.

LabView cRIO Projects errors

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • LabView cRIO Projects errors

    Hi, I installed the LabView 8.5.1 version and licensed it using the generic license from the usfirst.org site, and finished the update that is on the same site. I currently have LabView 8.5 installed on my laptop as well, with a different license that I do for my work. Here is my problem: When I start up LV 8.5.1, and create a new Robot Project, and do a Basic (or Advanced), (with the default My Documents directory), the target (cRIO) comes up as invalid and doesn't contain any of the vi's, such as autonomous or tele-operate, and now LabView just locks up. When I create a Dashboard Project, it comes up with an error that it can't find the FRC Wizard - Robot.vi, which I can't find on my machine at all. Seems like an install issue, but I followed all the instructions. Any ideas?

    BTW, they should really post on the ni site not to do this until you have the DVD install, or something. Kind of ridiculous.
    Last edited by DavidGitz; 11-24-2008, 08:14 PM.
    David Gitz
    FRC Team #2219 Lead Technical Advisor
    http://www.megahurts2219.com/
    [email protected]

  • #2
    Re: LabView cRIO Projects errors

    So if I read your post correctly, you downloaded LabVIEW from the USFIRST.org, then installed the LabVIEW update. Unfortunately, and I tried it, you can not do this. The specific reason it is showing up as invalid is because you do not have the LabVIEW Real-Time module. There are other problems with using the update with a standard version of LabVIEW as well. Basically, you will need to uninstall LabVIEW, and reinstall the standard one like you did before. After that, you will have to wait until the FRC copy comes in the Early Shipment, or in the Kit of Parts.

    Comment


    • #3
      Re: LabView cRIO Projects errors

      I was reading through the NI Community Forum, and I think I found the answer to this. The solution is, the framework's aren't available until you do a DVD install of LV from the version that is being shipped. But is there a way to remove this update so I can put the DVD install on a virtual machine and keep my 8.5 running smooth without the FRC stuff?

      References:
      http://decibel.ni.com/content/thread/1681?tstart=0
      http://decibel.ni.com/content/thread/1672?tstart=0
      David Gitz
      FRC Team #2219 Lead Technical Advisor
      http://www.megahurts2219.com/
      [email protected]

      Comment


      • #4
        Re: LabView cRIO Projects errors

        Originally posted by DavidGitz View Post
        I was reading through the NI Community Forum, and I think I found the answer to this. The solution is, the framework's aren't available until you do a DVD install of LV from the version that is being shipped. But is there a way to remove this update so I can put the DVD install on a virtual machine and keep my 8.5 running smooth without the FRC stuff?

        References:
        http://decibel.ni.com/content/thread/1681?tstart=0
        http://decibel.ni.com/content/thread/1672?tstart=0
        You could possibly figure out a list of the files that the update replaces/adds and remove the ones it adds, then do a repair of LabVIEW using the regular 8.5 install. I haven't tried it myself, and it seems more difficult than just uninstalling then reinstalling, but you could give it a try.

        Comment

        Working...
        X